Subject: New Reply Received - Not all my item(s) were delivered. لم يتم تسليم كل العناصر الخاصة بي.
From: Home Box <[email-masked]>
To: [email-masked]
Date: Sat, 22 May 2021 07:54:25 +0000

Hi Amir Aziz,  The customer has responded to the ticket.  Not all my item(s) were delivered. لم يتم تسليم كل العناصر الخاصة بي.  Ticket comment <div>Hi, thank you for this information. Yes, I already received other 2 items from this order. I know, that delivery for these chairs was set on 18th May, I am only affraid, that I have to move out from my apt. during next week, so I want to obtain these chairs on time..thanks for your answer!Lenka</div>  https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2605544